 	aad_H = ComputeFilterResponsexx_GTCC(nbands, 800);
	aad_H = abs(NormalizeFilterGainxx_GTCC(aad_H));
    
	i_FI = 0;
    adSumPower = zeros(1, Q);
    
    
    aad_P_all_cel = [];
    for t = 1:Q
        ad_X = oknovane_ramce_all(:,t);
        aad_P_all = [];

        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
        %
        % Calculating the Power P(i, j)
        %
        for j = 1 : nbands
                %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
                %
                % Squared integration
                %
                aad_P  = sum((ad_X .* aad_H(:, j)) .^ 2);
                aad_P_all = [aad_P_all aad_P];
        end
        aad_P_all = aad_P_all';
        aad_P_all_cel = [aad_P_all_cel aad_P_all];
    end   